Jump to content



Photo

  • Please log in to reply
10 replies to this topic

#1 Elliot B.

Elliot B.

    Over 12 years on Neowin

  • Tech Issues Solved: 4
  • Joined: 16-August 01
  • Location: West Midlands, UK
  • OS: Windows 8.1
  • Phone: Samsung Galaxy S5

Posted 18 April 2013 - 11:37

When I first tried to update to 6.1.2 in iTunes (by right-clicking Restore and using iPhone4,1_6.1.2_10B146_Restore), I got a 3194 error.

I added 74.208.10.249 gs.apple.com to my hosts file and restarted.

iTunes then instead displayed a 21 error when I tried to update using the same method above - only now my iPhone 4S is stuck showing the "connect to iTunes" display.

Any ideas?


#2 +Freelancer1111

Freelancer1111

    Neowinian

  • Joined: 11-December 10
  • Location: Germany
  • OS: Windows 7 x64 Ultimate

Posted 18 April 2013 - 11:41

I guess the update time window to 6.1.2 is closed now as 6.1.3 is out (which fixed some exploits which allowed for jailbreak if i recall right).

#3 OP Elliot B.

Elliot B.

    Over 12 years on Neowin

  • Tech Issues Solved: 4
  • Joined: 16-August 01
  • Location: West Midlands, UK
  • OS: Windows 8.1
  • Phone: Samsung Galaxy S5

Posted 18 April 2013 - 11:42

I guess the update time window to 6.1.2 is closed now as 6.1.3 is out (which fixed some exploits which allowed for jailbreak if i recall right).

Oh bugger - so now my only option is to use 6.1.3 and lose my jailbreak?

#4 +Freelancer1111

Freelancer1111

    Neowinian

  • Joined: 11-December 10
  • Location: Germany
  • OS: Windows 7 x64 Ultimate

Posted 18 April 2013 - 11:47

What causes the error?

The error 3194 happens when iTunes tries to validate the downloaded restore file (.ipsw) and is unable to reach Apple’s validation servers. The reason is usually something blocking the connection. Other causes are to try to use a firmware version that Apple is no longer signing ie. 5.1.1. So basically you can’t use an older firmware unless you work around the security that Apple has put in place. This article does not cover bypassing these security restrictions.
Common causes are:

  • Firewall (try to disable it and attempt restoring again)
  • Antivirus (try to disable it and attempt restoring again)
  • Hosts file blocking access to the validation server. (keep reading for help with these)
  • Stubborn computer (By all means try a different machine if you’ve tried everything here).
  • Try this on a Mac (iTunes works almost flawlessly when used on a Mac)


This is from http://anditsfixed.b...ror-21-and.html, but I had the same problems as you with updating from 5.1.1 to 6.1 (even with saved SHSH Blobs from TinyUmbrelle) on my iPod Touch, and this fix didn't work for me :( Maybe you are more lucky :D

#5 The Dark Knight

The Dark Knight

    Neowinian Senior

  • Joined: 06-June 04
  • OS: Windows 8 Pro x64
  • Phone: Nexus 4

Posted 18 April 2013 - 11:48

All is not lost. Download the latest release of Redsn0w, connect your device, and select the Kick out of DFU mode in the program. That should do the trick! :)

Redsn0w: http://www.redsn0w.u...eak-guides.html

#6 +Brando212

Brando212

    Neowinian Senior

  • Tech Issues Solved: 11
  • Joined: 15-April 10
  • Location: Omaha, NE
  • OS: OS X Mavricks, Windows 7/8.1 Pro
  • Phone: Sony Xperia ZL, Nokia Lumia 925

Posted 18 April 2013 - 11:53

This is from http://anditsfixed.b...ror-21-and.html, but I had the same problems as you with updating from 5.1.1 to 6.1 (even with saved SHSH Blobs from TinyUmbrelle) on my iPod Touch, and this fix didn't work for me :( Maybe you are more lucky :D

SHSH blobs haven't worked since 6.0, devs are working to make them usable again but it looks like it could be awhile yet

also King, as you were trying to go to 6.1.2 i doubt the process even started so try this tool to get out of recovery mode http://www.mediafire...kn3hawdnnb5hi8w

#7 OP Elliot B.

Elliot B.

    Over 12 years on Neowin

  • Tech Issues Solved: 4
  • Joined: 16-August 01
  • Location: West Midlands, UK
  • OS: Windows 8.1
  • Phone: Samsung Galaxy S5

Posted 18 April 2013 - 11:57

All is not lost. Download the latest release of Redsn0w, connect your device, and select the Kick out of DFU mode in the program. That should do the trick! :)

Redsn0w: http://www.redsn0w.u...eak-guides.html

Using redsn0w 0.9.15b3, I used the "Recovery fix" button and was presented with "This feature is not supported on the iPhone 4S".

#8 The Dark Knight

The Dark Knight

    Neowinian Senior

  • Joined: 06-June 04
  • OS: Windows 8 Pro x64
  • Phone: Nexus 4

Posted 18 April 2013 - 12:04

Using redsn0w 0.9.15b3, I used the "Recovery fix" button and was presented with "This feature is not supported on the iPhone 4S".


Weird! I've used it on an iPad 3rd generation, worked flawlessly! Sorry, mate, I'm all out.

#9 +Brando212

Brando212

    Neowinian Senior

  • Tech Issues Solved: 11
  • Joined: 15-April 10
  • Location: Omaha, NE
  • OS: OS X Mavricks, Windows 7/8.1 Pro
  • Phone: Sony Xperia ZL, Nokia Lumia 925

Posted 18 April 2013 - 13:02

i did some googling and it seems you can't actually force the 4S out of recovery (at least no one has found a way to do it yet)

sorry man, it looks like you're gonna have to lose your jailbreak

#10 OP Elliot B.

Elliot B.

    Over 12 years on Neowin

  • Tech Issues Solved: 4
  • Joined: 16-August 01
  • Location: West Midlands, UK
  • OS: Windows 8.1
  • Phone: Samsung Galaxy S5

Posted 18 April 2013 - 13:27

i did some googling and it seems you can't actually force the 4S out of recovery (at least no one has found a way to do it yet)

sorry man, it looks like you're gonna have to lose your jailbreak

D'oh!

Tar, though :)

#11 Shadrack

Shadrack

    Neowinian Senior

  • Tech Issues Solved: 3
  • Joined: 20-December 01

Posted 18 April 2013 - 23:13

That sucks :( :( :(

Since it is an iPhone 4S, you might have one vector here. Do you have your 5.2 SHSH saved? Does Cydia? Use something like TinyUmbrella and see what SHSH's it pulls from Cydia. You might be able to go back to a jailbroken iOS 5.2 using the SHSH firmware stitch method.

Idk...I've only used the stitch method to get back to 5.2 with my iPhone 4. Not sure if the 4S supports it. Looks like only pre iPhone 4S models can downgrade back to 6.1.2 using this method: http://www.evasionja...3-to-ios-6-1-2/ (but it requires an SHSH blob).